#!/Library/Frameworks/Python.framework/Versions/3.6/bin/python3

import os, sys #, getopt
import importlib
import pathlib as p
import shutil

###################################################################
# set CR, Grid Resolution, Model and Helio or Corona
# Edit these based on the specific of the run(s) you are downloading
# To see what is available: 
# https://www.predsci.com/mhdweb/data_access.php
# and select the CR you are interested in - you can then see all
# the available models/resolutions in the 'Simulation result ID'
# drop-down menu
###################################################################

cr = '2260'

res='high'

model='hmi_mast_mas_std_0201'

solution = 'helio'

vars=['br','vr','rho','t']

files_hdf=[s + '_r0.hdf' for s in vars]

# location of bt, bp, vt and bp files

tmp_dir="/Users/mbennun/tmp/2D/"

script_dir = os.getcwd() + '/'

zero_files=os.listdir(tmp_dir)

wdir = 'cr'+str(cr)+'-'+res+ '/'+model+ '/'+solution+'/'

path = p.Path(wdir)
if (path.exists() == True):
	print(wdir)



###################################################################
# psi2pluto can be executed here
###################################################################



pluto_dir = script_dir + 'cr'+str(cr)+'-'+res+'/'+model+'/'+'/pluto_bc/'

path = p.Path(pluto_dir)
if (path.exists() == False):
	os.makedirs(path)

os.chdir(pluto_dir)
for myfile in files_hdf:

	mas_file=script_dir + wdir + myfile
	tmp_file=pluto_dir + myfile

	shutil.copyfile(mas_file, tmp_file)
	os.system('psi2pluto '+myfile)
	for fname in zero_files:
     
		# copying the files to the
		# destination directory
		shutil.copy2(os.path.join(tmp_dir,fname), pluto_dir)

	#os.remove(tmp_file)

